/* **********************************************************
 * Copyright (C) 1998-2000 VMware, Inc.
 * All Rights Reserved
 * **********************************************************/

#ifndef __VMNETINT_H__
#define __VMNETINT_H__


/*
 * Hide all kernel compatibility stuff in those macros
 */


#ifdef KERNEL_2_1
#   define compat_fop_set_poll(_pFop, _pFunc) do { \
   (_pFop)->poll = (_pFunc);                       \
} while (0)
#else
#   define compat_fop_set_poll(_pFop, _pFunc) do { \
   (_pFop)->select = (_pFunc);                     \
} while (0)
#endif


/*
 * Appeared in kernels 2.3, and was then backported to 2.2.17+ --hpreg
 */

#ifndef DECLARE_WAITQUEUE
#   define DECLARE_WAITQUEUE(name, task) struct wait_queue name = {task, NULL,}
#endif


#ifdef KERNEL_2_4_0
#   define compat_fop_set_owner(_pFop) do { \
   (_pFop)->owner = THIS_MODULE;            \
} while (0)
#   define compat_mod_inc_refcount
#   define compat_mod_dec_refcount
#else
#   define compat_fop_set_owner(_pFop)
#   define compat_mod_inc_refcount do { \
   MOD_INC_USE_COUNT;                   \
} while (0)
#   define compat_mod_dec_refcount do { \
   MOD_DEC_USE_COUNT;                   \
} while (0)
#endif


#ifndef KERNEL_2_1
#   define net_device_stats enet_statistics
#endif


#endif /* __VMNETINT_H__ */
